Please merge drizzle 1:7.1.33-stable-4 from Debian unstable

Bug #987575 reported by Clint Byrum
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
drizzle (Ubuntu)
Fix Released
High
Clint Byrum
Precise
Won't Fix
High
Clint Byrum
Quantal
Fix Released
Undecided
Clint Byrum

Bug Description

Drizzle has a new GA release, 7.1, and the old GA, 2011-03-13, is no longer going to be supported.

We should ship 7.1 in precise, or drop the old version from precise.

Related branches

Revision history for this message
Clint Byrum (clint-fewbar) wrote : Re: [FFe] Please merge drizzle 1:7.1.33-stable-1 from Debian unstable

My local test build on amd64 was successful but I lost the build log. Will post the build log when it completes again.

summary: - Please merge drizzle 1:7.1.33-stable-1 from Debian unstable
+ [FFe] Please merge drizzle 1:7.1.33-stable-1 from Debian unstable
Revision history for this message
Iain Lane (laney) wrote :

Please reassure me that you've done some testing

I'm inclined to approve if it tests out, but as it's so late that we won't hear about issues before release: could you subscribe to the package and watch for bugs if approved?

Revision history for this message
Clint Byrum (clint-fewbar) wrote :

Attaching build log. Tests are underway right now (testing that drizzle starts on boot since our only real delta is the upstart job)

Revision history for this message
Clint Byrum (clint-fewbar) wrote :

Too close to the release, with a 10+ hour build time on armel it will never finish. We'll have to backport 7.1 into precise-backports.

Changed in drizzle (Ubuntu Precise):
status: In Progress → Won't Fix
milestone: ubuntu-12.04 → none
Changed in drizzle (Ubuntu Quantal):
status: New → In Progress
assignee: nobody → Clint Byrum (clint-fewbar)
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

This package is part of boost1.49 transition.
Should I attempt to rebuild/transition existing package or will the merge be tested against gcc4.7 & boost1.49? (as these are the default in quantal) as well as the gcc4.6 & boost1.48 as it is in 12.04.

summary: - [FFe] Please merge drizzle 1:7.1.33-stable-1 from Debian unstable
+ Please merge drizzle 1:7.1.33-stable-4 from Debian unstable
tags: added: boost1.49
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (6.1 KiB)

This bug was fixed in the package drizzle - 1:7.1.36-stable-1ubuntu1

---------------
drizzle (1:7.1.36-stable-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. (LP: #987575)
    Remaining changes:
    - Added upstart script.
  * debian/drizzle.upstart: dropped logger since upstart logs job
    output now.

drizzle (1:7.1.36-stable-1) unstable; urgency=low

  * Imported Upstream version 7.1.36-stable
  * Refreshing patches. Dropping libgearman1.0.patch as no longer needed.

drizzle (1:7.1.33-stable-4) unstable; urgency=low

  * Libv8 is currently no longer available for mipsel, so do not build
    drizzle-plugin-js for this architecture
  * Add patch to support gcc-4.7

drizzle (1:7.1.33-stable-3) unstable; urgency=low

  * Remove /etc/drizzle/drizzle.users on purge (Closes: 670425)

drizzle (1:7.1.33-stable-2) unstable; urgency=low

  * Add patch always-help.patch
  * Fix "FTBFS on kfreeBSD-*", see patch do-not-use-O_CLOEXEC.patch
    (Closes: #668493)
  * Init file still had an drizzle7 in it.
  * Installing /var/lib/drizzle with the package (Closes: #668786)
  * Dropping B-Ds on libreadline5-dev

drizzle (1:7.1.33-stable-1) unstable; urgency=low

  * New upstream release.
  * Fix dependency for libdrizzle-dev (Closes: #668424)
  * Symlink in libdrizzle-dev was referring to the old library.

drizzle (1:7.1.32-rc-1) unstable; urgency=low

  * New upstream release.
  * Plugin-filtered-replicator upstream removed and will no longer be built.
  * Updating d/*install files to accommodate upstream changes from drizzle7
    to drizzle
  * Added symlink in libdrizzledmessage-dev to library
  * libdrizzle: soname-bump
  * Rename package drizzle-plugin-performance-dictionary to shorten package name
    (due to linitan warning package-has-long-file-name)
  * Debian/control: removed unused substitution variable ${shlibs:Depends} for
    -dbg and -dev packages

drizzle (2012.01.30-4) unstable; urgency=low

  * B-D systemtap-sdt-dev is no longer available for mips, mipsel, s390x and
    sparc.

drizzle (2012.01.30-3) unstable; urgency=low

  * Really fix the FTBFS due to dh_sphinxdoc (Closes: #663985)

drizzle (2012.01.30-2) unstable; urgency=low

  * Apply patch to turn off intersphinx mappings for sphinxdocs.
  * Add patch to disable pandora to detect the debian repo as upstream.
  * Call dh_autoreconf with the script conf/autorun.sh
  * Do not run dh_sphinxdoc when not building -doc package. (Closes: #663985)
  * Prepared watchfile for new upstream version scheme
  * Plugin javascript extracted into own package, as its BD is only available
    on a few architectures.
  * Upstream file should not be installed by dh_installinit to avoid upstream
    dependency
  * Add upstart file to examples.
  * Init script did not check for already started server and added check for
    the js-plugin.
  * Adding Vcs-Browser and Vcs-Git to d/control

drizzle (2012.01.30-1) unstable; urgency=low

  * New upstream release. (Closes: #623009)
  * Haildb and pbms are no longer part of drizzle.
  * Mysql-protocol and unix-socket-protocol are now part of drizzled.
  * Add static js plugin (Executes JavaScript) and libv8-dev dependency.
  * Enable hardening
  * ...

Read more...

Changed in drizzle (Ubuntu Quantal):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers